export default DataSourceSelectors;
declare function DataSourceSelectors({ isNativeEditorOpen, query, question, readOnly, setDatabaseId, setTableId, editorContext, }: {
    isNativeEditorOpen: any;
    query: any;
    question: any;
    readOnly: any;
    setDatabaseId: any;
    setTableId: any;
    editorContext: any;
}): import("react/jsx-runtime").JSX.Element;
declare namespace DataSourceSelectors {
    export { DataSourceSelectorsPropTypes as propTypes };
}
declare namespace DataSourceSelectorsPropTypes {
    let isNativeEditorOpen: PropTypes.Requireable<boolean>;
    let query: PropTypes.Requireable<object>;
    let question: PropTypes.Requireable<object>;
    let readOnly: PropTypes.Requireable<boolean>;
    let setDatabaseId: PropTypes.Requireable<(...args: any[]) => any>;
    let setTableId: PropTypes.Requireable<(...args: any[]) => any>;
    let editorContext: PropTypes.Requireable<string>;
}
import PropTypes from "prop-types";
